petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatLUFactorSymbolic

Performs symbolic LU factorization of matrix. Call this routine before calling MatLUFactorNumeric().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatLUFactorSymbolic(Mat fact,Mat mat,IS row,IS col,const MatFactorInfo *info)

Collective on Mat

### Input Parameters

| fact | - the factor matrix obtained with MatGetFactor()
| mat | - the matrix
| row, col | - row and column permutations
| info | - options for factorization, includes

             fill - expected fill as ratio of original fill.

             dtcol - pivot tolerance (0 no pivot, 1 full column pivoting)

                      Run with the option -info to determine an optimal value to use

Notes: See Users-Manual: ch_mat for additional information about choosing the fill factor for better efficiency.

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatLUFactor(), MatLUFactorNumeric(), MatCholeskyFactor(), MatFactorInfo, MatFactorInfoInitialize()

Developer Note: fortran interface is not autogenerated as the f90 interface defintion cannot be generated correctly [due to MatFactorInfo]

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages